{%- assign current_book = include.current_book -%}
{%- assign t = include.t -%}
{%- assign item_class = 'breadcrumb-item h6 mb-0 font-weight-bold small f-12px text-gray-breadcrumb' -%}

<nav aria-label="{{ t.breadbar.title }}" class="w-100 {% unless site.book_layouts contains page.layout %}background-gray-light{% endunless %}">
  <div class="d-flex flex-column flex-md-row justify-content-between">
    <ol class="breadcrumb text-uppercase flex-grow-1 pl-30px">
      <li class="{{ item_class }} f-12px">
        <a href="{{ current_book.url }}" class="text-gray-breadcrumb text-decoration-none">{{ t.breadbar.home }}</a>
      </li>

      {% comment %}
        Add a section with the layout name to add an intermediate section.
      {% endcomment %}
      {% if t.breadbar.sections[page.layout] %}
        <li class="{{ item_class }}">
          {{ t.breadbar.sections[page.layout] }}
        </li>
      {% endif %}

      <li class="{{ item_class }}" aria-current="page">
        {{ page.title }}
      </li>
    </ol>

    <div class="flex-shrink-1 d-flex flex-row align-items-center justify-content-end pr-3">
      {% for share in t.share.items %}
        {% include share.html share=share page=page current_color=include.current_color %}
      {% endfor %}
    </div>
  </div>
</nav>
